<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
if ($name != inSql($_POST['name']) && strlen(inSql($_POST['pwd'])) < 6) {
    die("管理员名称改变密码需要重新填写！");
}
$name = inSql($_POST['name']);
preg_match('/^([0-9a-zA-Z@._]){3,20}$/', $name) or die("管理员名称不能有特殊字符！");
$pwd = strlen(inSql($_POST['pwd'])) < 6 ? '' : md5($name . inSql($_POST['pwd']) . $name);
$powerSelect = (int) inSql($_POST['powerSelect']);
$powerLbSelect = (int) inSql($_POST['powerLbSelect']);
$lbSelect = (int) inSql($_POST['lbSelect']);
if ($id) {
    $query = "UPDATE `${cfg_dbprefix}admin` SET name='${name}'"
            . ($pwd ? ",pwd='${pwd}'" : "")
            . ",power_id='${powerSelect}',power_lb='${powerLbSelect}',lb_id='${lbSelect}' WHERE id=$id;";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $nxsql->inLog($title);
    exit('2');
} else {
    $query = "INSERT INTO `${cfg_dbprefix}admin` (name,pwd,power_id,power_lb,lb_id) VALUES ('${name}','${pwd}','${powerSelect}','${powerLbSelect}','${lbSelect}');";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $id = $nxsql->insert_id;
    $nxsql->inLog($title . $id);
    exit('1');
}
